#!/bin/bash

if [ $UID -ne 0 ]; then
    echo "请用root用户运行当前脚本 (su root)" && exit 1
fi
if [ -r /opt/minio-store/minio-store  ];then
      echo "/opt/minio-store/minio-store文件夹已存在，请重命名旧版本文件后再尝试"
      exit
fi
root_dir=/opt/minio-store

if [ ! -d "$root_dir" ]; then
        mkdir -p $root_dir
fi

tar zxf ./minio-store.tar.gz -C $root_dir
cp -f minio-store.service /usr/lib/systemd/system/
if [ ! -r /opt/minio-store/minio-store  ];then
      echo "安装失败！"
      exit
 else
      echo "安装成功！"
  fi
chmod +x /opt/minio-store/minio-store/*.sh
chmod +x /opt/minio-store/minio-store/bin/*

systemctl daemon-reload
